Bug 226280 - Merge Review: perl-String-CRC32
Merge Review: perl-String-CRC32
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-31 15:38 EST by Nobody's working on this, feel free to take it
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-12 05:38:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Nobody's working on this, feel free to take it 2007-01-31 15:38:06 EST
Fedora Merge Review: perl-String-CRC32

http://cvs.fedora.redhat.com/viewcvs/devel/perl-String-CRC32/
Initial Owner: rnorwood@redhat.com
Comment 1 Parag AN(पराग) 2007-10-20 08:50:12 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
9b241bc4a482a3aa59fbb1429bc30546  String-CRC32-1.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/crc....ok
All tests successful.
Files=1, Tests=27,  0 wallclock secs ( 0.01 cusr +  0.00 csys =  0.01 CPU)
+ Package perl-String-CRC32-1.4-3.fc8 ->
  Provides: CRC32.so perl(String::CRC32) = 1.4
 Requires: libc.so.6 libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.4)
perl(:MODULE_COMPAT_5.8.8) perl(DynaLoader) perl(Exporter) rtld(GNU_HASH)

 APPROVED.

Comment 2 Parag AN(पराग) 2007-11-11 02:04:18 EST
Can we CLOSE this review if package is already built and in rawhide?

Note You need to log in before you can comment on or make changes to this bug.